Subject: Re: linux-next: manual merge of the block tree with the vfs tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 20 Jan 2020 12:40:51 +1100

Hi Jens,

On Thu, 19 Dec 2019 22:34:59 -0700 Jens Axboe <[email-masked]> wrote:
>
> On 12/19/19 6:36 PM, Stephen Rothwell wrote:
> > 
> > Today's linux-next merge of the block tree got a conflict in:
> > 
> >   fs/open.c
> > 
> > between commit:
> > 
> >   0a51692d49ec ("open: introduce openat2(2) syscall")
> > 
> > from the vfs tree and commit:
> > 
> >   252270311374 ("fs: make build_open_flags() available internally")
> > 
> > from the block tree.
> > 
> > I fixed it up (see at end, plus the merge fix patch below) and can
> > carry the fix as necessary. This is now fixed as far as linux-next is
> > concerned, but any non trivial conflicts should be mentioned to your
> > upstream maintainer when your tree is submitted for merging.  You may
> > also want to consider cooperating with the maintainer of the
> > conflicting tree to minimise any particularly complex conflicts.  
> 
> Thanks Stephen, I may just pull in the vfs tree to avoid this conflict.

I looks like Al has rewritten the branch you merged from his tree and
caused various conflicts in my merge of the block tree today.  I used
Al's new versions of the conflicting files.

-- 
Cheers,
Stephen Rothwell